Bug 103922 - redhat-config-network cannot be opened without crashing
redhat-config-network cannot be opened without crashing
Status: CLOSED ERRATA
Product: Red Hat Linux
Classification: Retired
Component: redhat-config-network (Show other bugs)
9
i586 Linux
medium Severity medium
: ---
: ---
Assigned To: Harald Hoyer
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-09-07 11:55 EDT by Bob Franke
Modified: 2007-04-18 12:57 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-09-08 05:03:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bob Franke 2003-09-07 11:55:19 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i586; en-US; rv:1.2.1) Gecko/20030225

Description of problem:
redhat-config-network cannot be opened without crashing
After installing an Atmel USB wireless card (after a long and confused  period
of research), both the official and the Berlios Atmel drivers seem to be
loading. demesg reports on boot:
usb.c: registered new driver usbvnetr
usb vendor/product=d5c/a002
vnet_kernel.c: Reseting Usb Device
 
vnet_kernel.c: Reset completed.
Reg Domain
usbvnetr: driver version 1.0.1, compiled Sep  6 2003 11:14:47 (dbg_mask x0)
MAC addr 00:04:E2:79:DC:29 firmware 1.101.2.84
divert: allocating divert_blk for eth0
Multicast is enabled
divert: allocating divert_blk for eth0
divert: freeing divert_blk for eth0
vnetusba.c: usb eth0 initialized and registered
usbdfu.c: USB Device Firmware Upgrade (DFU) handler v0.11beta4
usb.c: registered new driver usbdfu
at76c503.c: Generic Atmel at76c503/at76c505 routines v0.11beta4
at76c503-rfmd.c: Atmel at76c503 (RFMD) Wireless LAN Driver v0.11beta4
usb.c: registered new driver at76c503-rfmd
**********************
REASSOCIATION RESPONSE
**********************
I've saved the bug crash file if you need it.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.open redhat-config-network
2.
3.
    

Actual Results:  bug message

Expected Results:  opened redhat-config-network

Additional info:

Component: redhat-config-network
Version: 1.2.0
Summary: TB
/usr/src/build/228093-i386/install/usr/lib/python2.2/sre.py:137:search:TypeError:
expected string or buffer
Traceback (most recent call last):
  File "/usr/sbin/redhat-config-network-gui", line 154, in ?
    window = mainDialog()
  File
"/usr/src/build/226257-noarch/install/usr/share/redhat-config-network/netconfpkg/gui/maindialog.py",
line 154, in __init__
  File
"/usr/src/build/226257-noarch/install/usr/share/redhat-config-network/netconfpkg/gui/maindialog.py",
line 225, in load
  File
"/usr/src/build/226257-noarch/install/usr/share/redhat-config-network/netconfpkg/gui/maindialog.py",
line 232, in loadDevices
  File
"/usr/src/build/226257-noarch/install/usr/share/redhat-config-network/netconfpkg/NCDeviceList.py",
line 210, in getDeviceList
  File
"/usr/src/build/226257-noarch/install/usr/share/redhat-config-network/netconfpkg/NCDeviceList.py",
line 117, in load
  File
"/usr/src/build/226257-noarch/install/usr/share/redhat-config-network/netconfpkg/plugins/NCDevWireless.py",
line 34, in load
  File
"/usr/src/build/226257-noarch/install/usr/share/redhat-config-network/netconfpkg/NCWireless.py",
line 52, in load
  File "/usr/src/build/228093-i386/install/usr/lib/python2.2/sre.py", line 137,
in search
    return _compile(pattern, flags).search(string)
TypeError: expected string or buffer

Local variables in innermost frame:
pattern: ^s:
flags: 0
string: None
Comment 1 Harald Hoyer 2003-09-08 05:03:23 EDT
An errata has been issued which should help the problem described in the above
bug report. This report is therefore being closed with a resolution of ERRATA.
For more information on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report if the solution
does not work for you.

http://rhn.redhat.com/errata/RHBA-2003-183.html

Note You need to log in before you can comment on or make changes to this bug.